GrailsConsoleLoggerManager (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.support
[Groovy] Class GrailsConsoleLoggerManager

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLoggerManager
          org.codehaus.groovy.grails.resolve.maven.aether.support.GrailsConsoleLoggerManager

    @groovy.transform.CompileStatic
    class GrailsConsoleLoggerManager
    extends org.codehaus.plexus.logging.AbstractLoggerManager

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class org.codehaus.plexus.logging.AbstractLoggerManager
ROLE

Property Summary
`org.codehaus.plexus.logging.Logger` | `logger`

Method Summary
`int` | `getActiveLoggerCount()`
`org.codehaus.plexus.logging.Logger` | `getLoggerForComponent(java.lang.String role, java.lang.String hint)`
`int` | `getThreshold()`
`void` | `returnComponentLogger(java.lang.String role, java.lang.String hint)`
`void` | `setThreshold(int threshold)`
`void` | `setThresholds(int threshold)`

Methods inherited from class org.codehaus.plexus.logging.AbstractLoggerManager
org.codehaus.plexus.logging.AbstractLoggerManager#getLoggerForComponent(java.lang.String), org.codehaus.plexus.logging.AbstractLoggerManager#returnComponentLogger(java.lang.String), org.codehaus.plexus.logging.AbstractLoggerManager#wait(long, int), org.codehaus.plexus.logging.AbstractLoggerManager#wait(long), org.codehaus.plexus.logging.AbstractLoggerManager#wait(), org.codehaus.plexus.logging.AbstractLoggerManager#equals(java.lang.Object), org.codehaus.plexus.logging.AbstractLoggerManager#toString(), org.codehaus.plexus.logging.AbstractLoggerManager#hashCode(), org.codehaus.plexus.logging.AbstractLoggerManager#getClass(), org.codehaus.plexus.logging.AbstractLoggerManager#notify(), org.codehaus.plexus.logging.AbstractLoggerManager#notifyAll(), org.codehaus.plexus.logging.AbstractLoggerManager#setThreshold(int), org.codehaus.plexus.logging.AbstractLoggerManager#getLoggerForComponent(java.lang.String, java.lang.String), org.codehaus.plexus.logging.AbstractLoggerManager#getActiveLoggerCount(), org.codehaus.plexus.logging.AbstractLoggerManager#returnComponentLogger(java.lang.String, java.lang.String), org.codehaus.plexus.logging.AbstractLoggerManager#setThresholds(int), org.codehaus.plexus.logging.AbstractLoggerManager#getThreshold()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### logger

    org.codehaus.plexus.logging.Logger logger

Method Detail

### getActiveLoggerCount

    int getActiveLoggerCount()

### getLoggerForComponent

    org.codehaus.plexus.logging.Logger getLoggerForComponent(java.lang.String role, java.lang.String hint)

### getThreshold

    int getThreshold()

### returnComponentLogger

    void returnComponentLogger(java.lang.String role, java.lang.String hint)

### setThreshold

    void setThreshold(int threshold)

### setThresholds

    void setThresholds(int threshold)

Groovy Documentation